<script setup>
defineProps({
  imgSrc: {
    type: String,
    default: undefined,
  },
  link: {
    type: [String, Object],
    default: undefined,
  },
  license: {
    type: String,
    default: 'En cours de définition',
  },
  title: {
    type: String,
    default: 'Simple title',
  },
  description: {
    type: String,
    default: 'Simple description',
  },
  detail: {
    type: String,
    default: 'details',
  },
});
</script>

<template>
  <div class="projet fr-card">
    <div class="fr-card__body">
      <h4 ref="title" class="fr-card__title">
        {{ title }}
      </h4>
      <p class="fr-card__desc">
        <slot name="description">{{ description }}</slot>
      </p>

      <div class="fr-card__detail">
        <DsfrTag class="fr-m-2v" :label="license.toUpperCase()" />
        <p class="fr-m-2v">
          {{ detail }}
        </p>
      </div>
    </div>
    <div class="fr-card__img">
      <img v-if="imgSrc" :src="imgSrc" class="fr-responsive-img" />
      <div v-else class="fr-responsive-img anct-bg-blue" />
    </div>
  </div>
</template>
<style lang="scss">
.projet {
  .fr-card__detail {
    margin-left: -0.5rem;
    display: block;
  }
  .fr-card__img {
    div {
      height: auto;
      width: 100%;
      aspect-ratio: 1.7777777778;
    }
  }
}
</style>
